image_urls array supports up to 3 input images. Supported formats: image/jpeg, image/png, image/webp, image/bmp, and image/gif,image/tiff. Maximum file size: 10 MB per image.1K and 2K.1:1, 3:2, 2:3, 4:3, 3:4, 16:9, 9:16, and 21:9.png and jpeg. Default: png.callBackUrl parameter so your service can receive completion notifications instead of polling for task status.curl --location 'https://api.kie.ai/api/v1/jobs/createTask' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "qwen3/image-to-image",
"callBackUrl": "https://your-domain.com/api/callback",
"input": {
"image_urls": [
"https://example.com/input.png"
],
"prompt": "Turn the input image into a cinematic watercolor illustration.",
"resolution": "1K",
"image_size": "1:1",
"output_format": "png",
"prompt_extend": true,
"nsfw_checker": false,
"negative_prompt": "blurry, low quality, distorted",
"seed": 1
}
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "task_qwen3_1765180586443"
}
}